Wide Studio Object Reference

Wide Studio Home
Up to

## Class name

WSCj3wform

## Properties

Properties of the class: WSCj3wform are as follows.

Type | Property Name | Supplement | Default

char* | WSNfileName | File name |

char* | WSNname | Name |

char* | WSNuserString | User string |

long | WSNuserValue | User value | 0

short | WSNx | X | 100

short | WSNy | Y | 100

unsigned short | WSNwidth | Width | 100

unsigned short | WSNheight | Height | 30

short | WSNforeColor | Foreground | DEF2

short | WSNbackColor | Background | DEF5

short | WSNtopShadowColor | Top shadow color | DEF3

short | WSNbottomShadowColor | Bottom shadow color | DEF4

short | WSNbackPixmap | Back pixmap |

WSCbool | WSNvis | Visibility | 0

| Invisible | False ( 0 ) |

| Visible | True ( 1 ) |

WSCbool | WSNdet | Sensitivity | 1

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

unsigned char | WSNpixmapStyle | Pixmap style | 0

| Window | WS_DIRECT_WINDOW ( 0 ) |

| Dynamic pixmap | WS_DYNAMIC_PIXMAP ( 1 ) |

unsigned short | WSNmouse | Mouse No. | 0

unsigned char | WSNgradation | Gradation type | 0

| None | WS_GR_NONE ( 0 ) |

| LT to RB | WS_GR_LT_RB ( 1 ) |

| RT to LB | WS_GR_RT_LB ( 2 ) |

| LB to RT | WS_GR_LB_RT ( 3 ) |

| RB to LT | WS_GR_RB_LT ( 4 ) |

| T to B | WS_GR_T_B ( 5 ) |

| B to T | WS_GR_B_T ( 6 ) |

| L to R | WS_GR_L_R ( 7 ) |

| R to L | WS_GR_R_L ( 8 ) |

unsigned char | WSNgradationMargin | GradationMargin | 0

unsigned short | WSNanchorTop | AnchorTop | 0

unsigned short | WSNanchorBottom | AnchorBottom | 0

unsigned short | WSNanchorLeft | AnchorLeft | 0

unsigned short | WSNanchorRight | AnchorRight | 0

WSCbool | WSNanchorTopFlag | AnchorTopFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorBottomFlag | AnchorBottomFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorLeftFlag | AnchorLeftFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNanchorRightFlag | AnchorRightFlag | 0

| Off | False ( 0 ) |

| On | True ( 1 ) |

WSCbool | WSNexport | Export | 0

| Not allow | False ( 0 ) |

| Allow | True ( 1 ) |

## Specification of properties

- WSNfileName
  Function
    Spesifies the File name.
  Notice

- WSNname
  Function
    Spesifies the Name.
  Notice

- WSNuserString
  Function
    Spesifies the User string.
  Notice

- WSNuserValue
  Function
    Spesifies the User value.
  Notice

- WSNx
  Function
    Spesifies the X.
  Notice

- WSNy
  Function
    Spesifies the Y.
  Notice

- WSNwidth
  Function
    Spesifies the Width.
  Notice

- WSNheight
  Function
    Spesifies the Height.
  Notice

- WSNforeColor
  Function
    Spesifies the Foreground.
  Notice

- WSNbackColor
  Function
    Spesifies the Background.
  Notice

- WSNtopShadowColor
  Function
    Spesifies the Top shadow color.
  Notice

- WSNbottomShadowColor
  Function
    Spesifies the Bottom shadow color.
  Notice

- WSNbackPixmap
  Function
    Spesifies the Back pixmap.
  Notice

- WSNvis
  Function
    Spesifies the Visibility.
  Notice

- WSNdet
  Function
    Spesifies the Sensitivity.
  Notice

- WSNpixmapStyle
  Function
    Spesifies the Pixmap style.
  Notice

- WSNmouse
  Function
    Spesifies the Mouse No..
  Notice

- WSNgradation
  Function
    Spesifies the Gradation type.
  Notice

- WSNgradationMargin
  Function
    Spesifies the Gradation margin.
  Notice

- WSNanchorTop
  Function
    Spesifies the AnchorTop.
  Notice

- WSNanchorBottom
  Function
    Spesifies the AnchorBottom.
  Notice

- WSNanchorLeft
  Function
    Spesifies the AnchorLeft.
  Notice

- WSNanchorRight
  Function
    Spesifies the AnchorRight.
  Notice

- WSNanchorTopFlag
  Function
    Spesifies the AnchorTopFlag.
  Notice

- WSNanchorBottomFlag
  Function
    Spesifies the AnchorBottomFlag.
  Notice

- WSNanchorLeftFlag
  Function
    Spesifies the AnchorLeftFlag.
  Notice

- WSNanchorRightFlag
  Function
    Spesifies the AnchorRightFlag.
  Notice

- WSNexport
  Function
    Spesifies the Export.
  Notice

Document Release 3.20
For Use with Wide Studio Release 3.20, Spring 2003

Wide Stuido Home | Up to

Copyright(C) T. Hirabayashi, 1999-2003 |  | Last modified: February 3, 2003